GET /v1/metrics/catalog
The full metric catalog (count is dynamic). Each entry has id, name, description, category, direction, cost, longTailed flag, minN, supportedWindows. Single source of truth.
The full metric catalog (count is dynamic). Each entry has id, name, description, category, direction, cost, longTailed flag, minN, supportedWindows. Single source of truth.
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/metrics/catalog"{ "version": "string", "count": -9007199254740991, "metrics": [ { "id": "string", "name": "string", "description": "string", "category": "string", "direction": "string", "cost": "string", "cadence": "hourly", "longTailed": true, "minN": -9007199254740991, "sampleSizeColumn": "string", "supportedWindows": [ "lifetime" ], "displayableWindows": [ "lifetime" ], "defaultWindow": "lifetime", "compositeNeutralDefault": true, "advanced": true, "cluster": "string" } ], "deprecated": [ { "id": "string", "name": "string", "since": "string", "reason": "string" } ], "engine_metrics": [ { "id": "string", "name": "string", "description": "string", "category": "string", "direction": "string", "cost": "string", "cadence": "hourly", "longTailed": true, "minN": -9007199254740991, "sampleSizeColumn": "string", "defaultWindow": "lifetime", "compositeNeutralDefault": true, "advanced": true, "cluster": "string", "source": "copy_engine_daily" } ]}GET /v1/compare GET
Side-by-side comparison of 2-4 traders. Paid feature (Compare).
GET /v1/metrics/coverage GET
Per-metric coverage: how many wallets the metric is RANKED for (a finite percentile), per window, over that window's percentile cohort. Not the raw finite count — a sentinel zero is finite and was inflating this by up to 1.9x. Cached 1 hour.